iOS 7.1 and RSims

Posted on Posted in Apple, rsim, sim

I have had a large of emails with people upgrading their iPhones to 7.1 Recently who are using RSims (and other “sim impostors” such as Gevey/XSim etc) as their iPhones are carrier locked because these devices are no longer working with iOS 7.1

For people who are using these devices I suggest people contact the company/contact that the got them from and ask if they will actually work with 7.1 before you update to the newer version or you will have an iPhone which won’t be able to make calls/data.

I suggest people actually get their iPhones carrier unlocked properly via the original carrier of the iPhone (Or buy a factory carrier unlocked iPhone) and don’t use a unsupported piece of hardware to get around this.

Leave a Reply

Your email address will not be published. Required fields are marked *